# OffsetBase class

Base class for Size and Offset, which are both ways to describe a distance as a two-dimensional axis-aligned vector.

Implementers
  - Offset
  - Size

## Constructors

OffsetBase(double _dx, double _dy)
  Abstract const constructor. This constructor enables subclasses to provide const constructors so that they can be used in const expressions. [...]
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, override
isFinite → bool
  Whether both components are finite (neither infinite nor NaN). [...]
  read-only
isInfinite → bool
  Returns true if either component is double.infinity, and false if both are finite (or negative infinity, or NaN). [...]
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator <(OffsetBase other) → bool
  Less-than operator. Compares an Offset or Size to another Offset or Size, and returns true if both the horizontal and vertical values of the left-hand-side operand are smaller than the horizontal and vertical values of the right-hand-side operand respectively. Returns false otherwise. [...]
operator <=(OffsetBase other) → bool
  Less-than-or-equal-to operator. Compares an Offset or Size to another Offset or Size, and returns true if both the horizontal and vertical values of the left-hand-side operand are smaller than or equal to the horizontal and vertical values of the right-hand-side operand respectively. Returns false otherwise. [...]
operator ==(dynamic other) → bool
  Equality operator. Compares an Offset or Size to another Offset or Size, and returns true if the horizontal and vertical values of the left-hand-side operand are equal to the horizontal and vertical values of the right-hand-side operand respectively. Returns false otherwise.
  override
operator >(OffsetBase other) → bool
  Greater-than operator. Compares an Offset or Size to another Offset or Size, and returns true if both the horizontal and vertical values of the left-hand-side operand are bigger than the horizontal and vertical values of the right-hand-side operand respectively. Returns false otherwise. [...]
operator >=(OffsetBase other) → bool
  Greater-than-or-equal-to operator. Compares an Offset or Size to another Offset or Size, and returns true if both the horizontal and vertical values of the left-hand-side operand are bigger than or equal to the horizontal and vertical values of the right-hand-side operand respectively. Returns false otherwise. [...]